=== debian/changelog ===
ros-noetic-gazebo-custom-sensor-preloader (1.1.0-1focal) focal; urgency=high

  * Removed unnecessary pollution of gazebo plugin path.
  * Simplified specifying the plugin name on the command line, cleaned up build files.
  * Noetic compatibility.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 28 Aug 2023 22:00:00 -0000

ros-noetic-gazebo-custom-sensor-preloader (1.0.1-1focal) focal; urgency=high

  * Deferring the sensor registration so that they are registered after all the default ones.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 16 Oct 2019 22:00:00 -0000

ros-noetic-gazebo-custom-sensor-preloader (1.0.0-1focal) focal; urgency=high

  * Initial commit.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 16 Oct 2019 22:00:00 -0000
