=== debian/control ===
Source: ros-noetic-gazebo-custom-sensor-preloader
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-noetic-catkin, ros-noetic-gazebo-dev, ros-noetic-pluginlib
Homepage: https://github.com/peci1/gazebo_custom_sensor_preloader
Standards-Version: 3.9.2

Package: ros-noetic-gazebo-custom-sensor-preloader
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-gazebo-dev, ros-noetic-gazebo-ros, ros-noetic-pluginlib, ros-noetic-rosbash
Description: Gazebo plugin that allows writing custom Gazebo sensors.
